<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>TransitRouteElement (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransitRouteElement (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitRouteElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/TransitRouteSourceAttribution.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/TransitRouteElement.html" target="_top">Frames</a></li>
<li><a href="TransitRouteElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.routing</div>
<h2 title="Class TransitRouteElement" class="title">Class TransitRouteElement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.routing.TransitRouteElement</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TransitRouteElement</span>
extends java.lang.Object</pre>
<div class="block">Represents an element within a transit-specific <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>, 
<a href="../../../../../com/here/android/mpa/routing/RouteElement.html#getTransitElement--"><code>RouteElement.getTransitElement()</code></a>, 
<a href="../../../../../com/here/android/mpa/routing/TransitManeuver.html#getTransitRouteElements--"><code>TransitManeuver.getTransitRouteElements()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing">TransitRouteStop</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getArrivalStop--">getArrivalStop</a></span>()</code>
<div class="block">Gets the arrival station.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getArrivalTime--">getArrivalTime</a></span>()</code>
<div class="block">Gets time of arrival at the station for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing">TransitRouteStop</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getDepartureStop--">getDepartureStop</a></span>()</code>
<div class="block">Gets the departure station.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getDepartureTime--">getDepartureTime</a></span>()</code>
<div class="block">Gets the time of departure from the station for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getDestination--">getDestination</a></span>()</code>
<div class="block">Gets the destination name for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getDuration--">getDuration</a></span>()</code>
<div class="block">Gets the total duration.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getGeometry--">getGeometry</a></span>()</code>
<div class="block">Gets the geometry of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getId--">getId</a></span>()</code>
<div class="block">Returns the transit route element identifier.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getLineGeometry--">getLineGeometry</a></span>()</code>
<div class="block">Gets the geometry of only the line part of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>, excluding any
 positions of entrances.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getLineName--">getLineName</a></span>()</code>
<div class="block">Gets the line name for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing">TransitManeuver.TransitLineStyle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getLineStyle--">getLineStyle</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing"><code>TransitManeuver.TransitLineStyle</code></a> that is typical of the way in which
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a> lines are drawn on maps of the local operator.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getPrimaryLineColor--">getPrimaryLineColor</a></span>()</code>
<div class="block">Gets the primary color of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a> in the local public transit
 operator's color scheme.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSecondaryLineColor--">getSecondaryLineColor</a></span>()</code>
<div class="block">Gets the secondary color of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a> in the local public transit
 operator's color scheme.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemAccessLogo--">getSystemAccessLogo</a></span>()</code>
<div class="block">Gets the transit system access logo if available, otherwise returns an invalid image.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemInformalName--">getSystemInformalName</a></span>()</code>
<div class="block">Gets the informal name of the system operating the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemLogo--">getSystemLogo</a></span>()</code>
<div class="block">Gets the transit system logo if available, otherwise returns an invalid image.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemOfficialName--">getSystemOfficialName</a></span>()</code>
<div class="block">Gets the name of the system operating the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemShortName--">getSystemShortName</a></span>()</code>
<div class="block">Gets the name, in a shorter or abbreviated version if available, of the system operating the
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common">TransitType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getTransitType--">getTransitType</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common"><code>TransitType</code></a> of the transit system offering service for the
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getTransitTypeName--">getTransitTypeName</a></span>()</code>
<div class="block">Gets the transit type of the transit system offering service for the
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>, as a <code>String</code> in the transit operator's local vocabulary.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getVehicleTravelTime--">getVehicleTravelTime</a></span>()</code>
<div class="block">Gets the vehicle travel time.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#hasPrimaryLineColor--">hasPrimaryLineColor</a></span>()</code>
<div class="block">Returns whether element's primary line color is available.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#hasSecondaryLineColor--">hasSecondaryLineColor</a></span>()</code>
<div class="block">Returns whether element's secondary line color is available.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDestination--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestination</h4>
<pre>public java.lang.String getDestination()</pre>
<div class="block">Gets the destination name for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The destination name</dd>
</dl>
</li>
</ul>
<a name="getGeometry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeometry</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; getGeometry()</pre>
<div class="block">Gets the geometry of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>. The geometry includes the line part of
 a <code>TransitRouteElement</code>, plus positions of entrances.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>List</code> of <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a>
         objects</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getLineGeometry--"><code>TransitRouteElement.getLineGeometry()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLineGeometry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineGeometry</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; getLineGeometry()</pre>
<div class="block">Gets the geometry of only the line part of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>, excluding any
 positions of entrances.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>List</code> of <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a>
         objects</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getGeometry--"><code>TransitRouteElement.getGeometry()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLineName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineName</h4>
<pre>public java.lang.String getLineName()</pre>
<div class="block">Gets the line name for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The line name</dd>
</dl>
</li>
</ul>
<a name="hasPrimaryLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasPrimaryLineColor</h4>
<pre>public boolean hasPrimaryLineColor()</pre>
<div class="block">Returns whether element's primary line color is available.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if color is available, false - otherwise</dd>
</dl>
</li>
</ul>
<a name="hasSecondaryLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasSecondaryLineColor</h4>
<pre>public boolean hasSecondaryLineColor()</pre>
<div class="block">Returns whether element's secondary line color is available.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if color is available, false - otherwise</dd>
</dl>
</li>
</ul>
<a name="getPrimaryLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrimaryLineColor</h4>
<pre>public int getPrimaryLineColor()</pre>
<div class="block">Gets the primary color of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a> in the local public transit
 operator's color scheme.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The ARGB integer color value. The packed integer is made up of 4 bytes: alpha, red,
         green, blue. Each color component has a value range from [0..255] with 0 meaning no
         contribution for that component, and 255 meaning 100% contribution</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getPrimaryLineColor--"><code>TransitRouteElement.getPrimaryLineColor()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSecondaryLineColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSecondaryLineColor</h4>
<pre>public int getSecondaryLineColor()</pre>
<div class="block">Gets the secondary color of the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a> in the local public transit
 operator's color scheme.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The ARGB integer color value. The packed integer is made up of 4 bytes: alpha, red,
         green, blue. Each color component has a value range from [0..255] with 0 meaning no
         contribution for that component, and 255 meaning 100% contribution</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSecondaryLineColor--"><code>TransitRouteElement.getSecondaryLineColor()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLineStyle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLineStyle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing">TransitManeuver.TransitLineStyle</a> getLineStyle()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing"><code>TransitManeuver.TransitLineStyle</code></a> that is typical of the way in which
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a> lines are drawn on maps of the local operator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>TransitLineStyle</code></dd>
</dl>
</li>
</ul>
<a name="getSystemOfficialName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemOfficialName</h4>
<pre>public java.lang.String getSystemOfficialName()</pre>
<div class="block">Gets the name of the system operating the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The transit system name</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemOfficialName--"><code>TransitRouteElement.getSystemOfficialName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemInformalName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemInformalName</h4>
<pre>public java.lang.String getSystemInformalName()</pre>
<div class="block">Gets the informal name of the system operating the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>. if available</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The informal transit system name, e.g. "SMGN".</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemInformalName--"><code>TransitRouteElement.getSystemInformalName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemShortName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemShortName</h4>
<pre>public java.lang.String getSystemShortName()</pre>
<div class="block">Gets the name, in a shorter or abbreviated version if available, of the system operating the
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The transit system name in shortened form</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemShortName--"><code>TransitRouteElement.getSystemShortName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemLogo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemLogo</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> getSystemLogo()</pre>
<div class="block">Gets the transit system logo if available, otherwise returns an invalid image.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a>, including letters next to it, representing the transit system logo</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemAccessLogo--"><code>TransitRouteElement.getSystemAccessLogo()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemAccessLogo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemAccessLogo</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> getSystemAccessLogo()</pre>
<div class="block">Gets the transit system access logo if available, otherwise returns an invalid image.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a> representing the transit system access logo</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getSystemLogo--"><code>TransitRouteElement.getSystemLogo()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTransitType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransitType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common">TransitType</a> getTransitType()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common"><code>TransitType</code></a> of the transit system offering service for the
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>TransitType</code></dd>
</dl>
</li>
</ul>
<a name="getTransitTypeName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransitTypeName</h4>
<pre>public java.lang.String getTransitTypeName()</pre>
<div class="block">Gets the transit type of the transit system offering service for the
 <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>, as a <code>String</code> in the transit operator's local vocabulary.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The transit type name</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getTransitType--"><code>TransitRouteElement.getTransitType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getVehicleTravelTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVehicleTravelTime</h4>
<pre>public final int getVehicleTravelTime()</pre>
<div class="block">Gets the vehicle travel time. Unit is seconds.
 <p>
 <b>Note:</b> Generally, when calculating transportation travel times for display to the user,
 use the value given by <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getDuration--"><code>TransitRouteElement.getDuration()</code></a> instead.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vehicle travel time in seconds</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getDuration--"><code>TransitRouteElement.getDuration()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDuration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDuration</h4>
<pre>public final int getDuration()</pre>
<div class="block">Gets the total duration. Unit is seconds.
 <p>
 <b>Note:</b> when calculating transportation travel times for display to the user, this is
 generally the value to be used.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>total duration in seconds</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html#getVehicleTravelTime--"><code>TransitRouteElement.getVehicleTravelTime()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDepartureTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepartureTime</h4>
<pre>public final java.util.Date getDepartureTime()</pre>
<div class="block">Gets the time of departure from the station for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.
 <p>
 Note: If no departure time was set for the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> associated with this
 <code>TransitRouteElement</code>, than the time is relative to the system time when the route
 calculation took place. Otherwise, the times are relative to the specified departure time.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The departure time, or <code>null</code> if unavailable</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html#setTime-java.util.Date-com.here.android.mpa.routing.RouteOptions.TimeType-"><code>RouteOptions.setTime(Date, RouteOptions.TimeType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getArrivalTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArrivalTime</h4>
<pre>public final java.util.Date getArrivalTime()</pre>
<div class="block">Gets time of arrival at the station for the <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>.
 <p>
 Note: If no departure time was set for the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> associated with this
 <code>TransitRouteElement</code>, than the time is relative to the system time when the route
 calculation took place. Otherwise, the times are relative to the specified departure time.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The arrival time, or <code>null</code> if unavailable</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html#setTime-java.util.Date-com.here.android.mpa.routing.RouteOptions.TimeType-"><code>RouteOptions.setTime(Date, RouteOptions.TimeType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getDepartureStop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepartureStop</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing">TransitRouteStop</a> getDepartureStop()</pre>
<div class="block">Gets the departure station.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>departure station</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing"><code>TransitRouteStop</code></a></dd>
</dl>
</li>
</ul>
<a name="getArrivalStop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArrivalStop</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing">TransitRouteStop</a> getArrivalStop()</pre>
<div class="block">Gets the arrival station.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>arrival station</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitRouteStop.html" title="class in com.here.android.mpa.routing"><code>TransitRouteStop</code></a></dd>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getId</h4>
<pre>public final <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> getId()</pre>
<div class="block">Returns the transit route element identifier. <a href="../../../../../com/here/android/mpa/routing/TransitRouteElement.html" title="class in com.here.android.mpa.routing"><code>TransitRouteElement</code></a>. The id can be used
 to highlight the transit line on a transit route.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the unique <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>object identifier</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.html#highlightTransitLines-java.util.List-"><code>MapTransitLayer.highlightTransitLines(List)</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitRouteElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/TransitManeuver.TransitLineStyle.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/TransitRouteSourceAttribution.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/TransitRouteElement.html" target="_top">Frames</a></li>
<li><a href="TransitRouteElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
